org.apache.poi.xssf.usermodel.charts

## Class XSSFChartLegend

- java.lang.Object
- - org.apache.poi.xssf.usermodel.charts.XSSFChartLegend

- All Implemented Interfaces:
    ChartLegend, ManuallyPositionable

  Deprecated.
  use `XDDFChartLegend` instead

      @Deprecated
       @Removal(version="4.2")
      public final class XSSFChartLegend
      extends java.lang.Object
      implements ChartLegend

  Represents a SpreadsheetML chart legend

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSSFChartLegend(XSSFChart chart)` Deprecated. Create a new SpreadsheetML chart legend

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openxmlformats.schemas.drawingml.x2006.chart.CTLegend` | `getCTLegend()` Deprecated. Return the underlying CTLegend bean.
    `XSSFManualLayout` | `getManualLayout()` Deprecated. Returns manual layout for the chart element.
    `LegendPosition` | `getPosition()` Deprecated.
    `boolean` | `isOverlay()` Deprecated.
    `void` | `setOverlay(boolean value)` Deprecated. If true the legend is positioned over the chart area otherwise the legend is displayed next to it.
    `void` | `setPosition(LegendPosition position)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSSFChartLegend

          public XSSFChartLegend(XSSFChart chart)

      Deprecated.
      Create a new SpreadsheetML chart legend

  - ### Method Detail

    - #### getCTLegend

          @Internal
          public org.openxmlformats.schemas.drawingml.x2006.chart.CTLegend getCTLegend()

      Deprecated.
      Return the underlying CTLegend bean.
      Returns:
        the underlying CTLegend bean

    - #### setPosition

          public void setPosition(LegendPosition position)

      Deprecated.
      Specified by:
        `setPosition` in interface `ChartLegend`
      Parameters:
        `position` - new legend position

    - #### getPosition

          public LegendPosition getPosition()

      Deprecated.
      Specified by:
        `getPosition` in interface `ChartLegend`
      Returns:
        legend position

    - #### getManualLayout

          public XSSFManualLayout getManualLayout()

      Deprecated.
      Description copied from interface: `ManuallyPositionable`
      Returns manual layout for the chart element.
      Specified by:
        `getManualLayout` in interface `ManuallyPositionable`
      Returns:
        manual layout for the chart element.

    - #### isOverlay

          public boolean isOverlay()

      Deprecated.
      Specified by:
        `isOverlay` in interface `ChartLegend`
      Returns:
        overlay value.

    - #### setOverlay

          public void setOverlay(boolean value)

      Deprecated.
      Description copied from interface: `ChartLegend`
      If true the legend is positioned over the chart area otherwise the legend is displayed next to it. Default is no overlay.
      Specified by:
        `setOverlay` in interface `ChartLegend`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.